Bug 1066657 - Review Request: python-summershum - A fedmsg consumer that extracts and stores hashes of source files
Summary: Review Request: python-summershum - A fedmsg consumer that extracts and store...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 20:16 UTC by Ralph Bean
Modified: 2014-03-18 08:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 17:24:53 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-02-18 20:16:03 UTC
Spec URL: http://ralph.fedorapeople.org//python-summershum.spec
SRPM URL: http://ralph.fedorapeople.org//python-summershum-0.1-1.fc20.src.rpm

Description:
A fedmsg consumer that extracts and stores hashes of source files.

summershum is composed of two components:

- A fedmsg consumer plugin that listens for
  ``org.fedoraproject.prod.git.lookaside.new`` messages.  Whenever a
  contributor uploads a new source tarball to the lookaside cache,
  summershum will download that tarball, unpack it, and calculate the
  sha1 sum of every file in the tarball.  Those hashes are then stored in
  a database to be queried later.
- A cli tool ``summershum-cli`` that queries datagrepper for the fedmsg
  history.  It then crawls through old lookaside messages to fill in data where
  it was missed.

With the summershum database, we can then make some interesting queries
in short time:

- how many files have this hash sum in all of fedora?  and for which
  packages ?
- we can easily find what is bundling what and generate a programatic list
- we could check the db in taskotron tests
- we could check to see how many packages include the full GPL license
- how many packages have that license but with the old FSF address

Comment 1 Ralph Bean 2014-02-18 20:16:07 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6544205

Comment 2 Pierre-YvesChibon 2014-02-19 08:56:26 UTC
* spec is clean
* license is GPLv2+ and valid for the project
* builds fine on all arch
* rpmlint:
$ rpmlint python-summershum-0.1-1.fc20.noarch.rpm  python-summershum-0.1-1.fc20.src.rpm
python-summershum.noarch: W: spelling-error %description -l en_US fedoraproject -> fedora project, fedora-project, projector
python-summershum.noarch: W: spelling-error %description -l en_US lookaside -> look aside, look-aside, lookalike
python-summershum.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
python-summershum.noarch: W: spelling-error %description -l en_US datagrepper -> daguerreotype
python-summershum.noarch: W: spelling-error %description -l en_US programatic -> programmatic, epigrammatic, pragmatic
python-summershum.noarch: W: spelling-error %description -l en_US taskotron -> astronaut
python-summershum.noarch: W: no-manual-page-for-binary summershum-cli
python-summershum.src: W: spelling-error %description -l en_US fedoraproject -> fedora project, fedora-project, projector
python-summershum.src: W: spelling-error %description -l en_US lookaside -> look aside, look-aside, lookalike
python-summershum.src: W: spelling-error %description -l en_US cli -> cl, clii, clip
python-summershum.src: W: spelling-error %description -l en_US datagrepper -> daguerreotype
python-summershum.src: W: spelling-error %description -l en_US programatic -> programmatic, epigrammatic, pragmatic
python-summershum.src: W: spelling-error %description -l en_US taskotron -> astronaut
2 packages and 0 specfiles checked; 0 errors, 13 warnings.

All can be ignored

sha256sum of the sources in the srpm:
85e9650de60a93e3a53145859f5c3710173fedecfc32fca348dcdf03e13bd246
sha256sum of the sources upstream:
c0340d91854a1ecaf8b60aeedb5b4e988876eb75c37a3c8e9751e049f8903810

! The sources here are inconsistent

This looks all good, but I cannot approve it with this inconsistency in the sources.

Comment 3 Ralph Bean 2014-02-19 14:44:37 UTC
Huh, odd.  Anyways, here's a newer upstream release.  Does it fix the inconsistency for you?

http://threebean.org/rpm/python-summershum.spec
http://threebean.org/rpm/python-summershum-0.1.1-1.fc20.src.rpm

Comment 4 Pierre-YvesChibon 2014-02-19 14:48:27 UTC
Upstream sha256sum:
c0340d91854a1ecaf8b60aeedb5b4e988876eb75c37a3c8e9751e049f8903810  summershum-0.1.1.tar.gz
SRPM sha256sum:
c0340d91854a1ecaf8b60aeedb5b4e988876eb75c37a3c8e9751e049f8903810  python-summershum-0.1.1-1.fc20.src/summershum-0.1.1.tar.gz


Looks all good this time, APPROVED package.

Comment 5 Ralph Bean 2014-02-19 14:52:58 UTC
New Package SCM Request
=======================
Package Name: python-summershum
Short Description: A fedmsg consumer that extracts and stores hashes of source files
Owners: ralph pingou
Branches: f20 f19 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-02-19 15:03:44 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-02-19 17:04:50 UTC
python-summershum-0.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-summershum-0.1.1-1.el6

Comment 8 Fedora Update System 2014-02-19 17:05:28 UTC
python-summershum-0.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-summershum-0.1.1-1.fc20

Comment 9 Fedora Update System 2014-02-19 17:06:01 UTC
python-summershum-0.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-summershum-0.1.1-1.fc19

Comment 10 Fedora Update System 2014-02-19 19:14:22 UTC
python-summershum-0.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-summershum-0.1.2-2.el6

Comment 11 Fedora Update System 2014-02-19 19:14:40 UTC
python-summershum-0.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-summershum-0.1.2-2.fc20

Comment 12 Fedora Update System 2014-02-19 19:14:54 UTC
python-summershum-0.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-summershum-0.1.2-2.fc19

Comment 13 Fedora Update System 2014-02-19 21:14:43 UTC
python-summershum-0.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-summershum-0.1.3-1.el6

Comment 14 Fedora Update System 2014-02-19 21:15:07 UTC
python-summershum-0.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-summershum-0.1.3-1.fc20

Comment 15 Fedora Update System 2014-02-19 21:15:25 UTC
python-summershum-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-summershum-0.1.3-1.fc19

Comment 16 Fedora Update System 2014-02-21 16:05:07 UTC
python-summershum-0.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-summershum-0.1.4-1.el6

Comment 17 Fedora Update System 2014-02-27 21:10:11 UTC
python-summershum-0.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-summershum-0.1.5-1.el6

Comment 18 Fedora Update System 2014-02-27 21:10:38 UTC
python-summershum-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-summershum-0.1.5-1.fc20

Comment 19 Fedora Update System 2014-02-27 21:11:01 UTC
python-summershum-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-summershum-0.1.5-1.fc19

Comment 20 Fedora Update System 2014-03-17 22:34:35 UTC
python-summershum-0.1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-03-18 08:09:27 UTC
python-summershum-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-03-18 08:13:25 UTC
python-summershum-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.